#!/bin/bash

unique_hosts=`echo $SOLR_NODES | tr ' ' '\n' | sed 's/:.*$//' | sort | uniq`

#local_dir="/tmp/solr-ef"
local_dir1="/hdfsd05/dbbridge/solr-ef"
local_dir2="/hdfsd05/dbbridge/gslis-cluster/solr/server/solr"

for solr_host in $unique_hosts ; do
  remote_dir1="$solr_host:$local_dir1"
  remote_dir2="$solr_host:$local_dir2"

  echo "Running rsync from networked SOLR_HOME to $remote_dir1"
  ssh $solr_host "if [ ! -d $local_dir1 ] ; then mkdir $local_dir1 ; fi"
  rsync -pav "$SOLR_HOME/." "$remote_dir1/."

  echo "Running rsync from networked SOLR_HOME to $remote_dir2"
  ssh $solr_host "if [ ! -d $local_dir2 ] ; then mkdir $local_dir2 ; fi"
  rsync -pav "$SOLR_HOME/." "$remote_dir2/."
done
